
Redmine - Defect #13231

Can't Delete Watcher On Current Trunk 2.3.x

2013-02-20 09:18 - Carlo Camerino

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Hi,

I upgraded our installation to the current trunk. One bug that i've noticed is that I can't properly delete a watcher from an issue.

ActionController::RoutingError (No route matches [POST] "/issues/22755/watchers/3"):

  actionpack (3.2.12) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'

  actionpack (3.2.12) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

  railties (3.2.12) lib/rails/rack/logger.rb:32:in `call_app'

  railties (3.2.12) lib/rails/rack/logger.rb:16:in `call'

  activesupport (3.2.12) lib/active_support/tagged_logging.rb:22:in `tagged'

  railties (3.2.12) lib/rails/rack/logger.rb:16:in `call'

  actionpack (3.2.12) lib/action_dispatch/middleware/request_id.rb:22:in `call'

  rack (1.4.5) lib/rack/methodoverride.rb:21:in `call'

  rack (1.4.5) lib/rack/runtime.rb:17:in `call'

Associated revisions

Revision 11443 - 2013-02-20 21:43 - Jean-Philippe Lang

Fixed that delete watcher link was broken by r11290 (#13231).

Deleting a watcher now use DELETE /watchers instead of POST /watchers/destroy.

History

#1 - 2013-02-20 10:42 - Etienne Massip

- Status changed from New to Confirmed

- Target version set to 2.3.0

#2 - 2013-02-20 21:49 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r11443, thanks for pointing this out.

#3 - 2013-02-26 01:44 - Toshi MARUYAMA

- Target version deleted (2.3.0)

#4 - 2013-03-04 14:43 - Miodrag Milic

After that bug, somehow, on my production system one of the people that was added as a watcher when the bug was active, now receives the

notification mail for each new issue in the project (and I think even for other projects). I always see him in to: field of the sent email while other

watchers are in cc field.

How do I fix this ? I guess manual database intervention is required.

#5 - 2013-03-26 14:31 - Dipan Mehta

Which target version will this be available?
#6 - 2013-03-27 07:35 - Jean-Philippe Lang

Dipan Mehta wrote:

Which target version will this be available?

 AFAIK, stable releases were not affected. The fix is commited in trunk already.

Powered by TCPDF (www.tcpdf.org)

2025-07-11 2/2

http://www.tcpdf.org

